curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/insights \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"prompt_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_count": 123,
"context_source": "<string>",
"first_seen": 123,
"last_seen": 123
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Retrieve a paginated list of insights for a project. Use to discover insights or filter by prompt template or agent.
page_size defaults to 30, maximum 100.
curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/insights \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"prompt_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_count": 123,
"context_source": "<string>",
"first_seen": 123,
"last_seen": 123
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.